/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

.is-family-serif {
  font-family: $family-serif;
  font-size: 1.125rem;
}

@import "~bulma/sass/utilities/initial-variables.sass";

@import "~bulma/sass/utilities/functions.sass";
@import "~bulma/sass/utilities/derived-variables.sass";
@import "~bulma/sass/utilities/animations.sass";
@import "~bulma/sass/utilities/mixins.sass";
@import "~bulma/sass/utilities/controls.sass";

.breadcrumb {
  &.has-greater-separator {
    li + li::before {
      content: "\0203a";
      // content: "\25b8";
      // content: "\0203a"
      // content: "\0232a"
      // content: "\0276d"
    }
  }
}

$margin-helpers-value: 0.75rem;

.is-margin-top {
  margin-right: $margin-helpers-value !important;
}

.is-margin-right {
  margin-right: $margin-helpers-value !important;
}

.is-margin-bottom {
  margin-right: $margin-helpers-value !important;
}

.is-margin-left {
  margin-right: $margin-helpers-value !important;
}

.is-margin-vertical {
  margin-top: $margin-helpers-value !important;
  margin-bottom: $margin-helpers-value !important;
}

.is-margin-horizontal {
  margin-left: $margin-helpers-value !important;
  margin-right: $margin-helpers-value !important;
}

@media screen and (max-width: $desktop) {
  .is-fullwidth-mobile {
    display: block !important;
    width: 100% !important;
  }

  .is-marginless-mobile {
    margin: 0 !important;
  }

  .is-margin-bottom-mobile {
    margin-bottom: 0.75rem !important;
  }
}

.content {
  line-height: 2;
}

.box {
  &.has-shadow {
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.375) !important;
  }
}

.navbar {
  &.has-shadow {
    box-shadow: 0 2px 2px rgba(0, 0, 0, 0.375) !important;
  }

  &.is-primary {
    > .navbar-item,
    > .navbar-link {
      color: $white-bis !important;
    }

    .navbar-item {
      &.has-dropdown {
        .navbar-dropdown {
          .navbar-item:hover {
            color: $white-bis;
            background-color: $red !important;
          }
        }
      }
    }
  }
}

@import "~bulma";
@import "~buefy/src/scss/buefy";

// :global {
//   @import "~/public/custom.scss";
// }
